

constant GFX_MODE = 261 -- or any other 256 color mode (19, 257, 259, 261...)

include graphics.e

include machine.e
use_vesa(1) -- I need to do this on my video card.
	    -- You may want to comment it out.

include bb_graph.e
sequence s, p

if graphics_mode(GFX_MODE) then
     puts(2, "Gfx problems.\n")
     abort(1)
end if

-- I'm just using the function 'sightline'
-- to quickly generate a smooth palette.
p = sightline ({255, 128, 192}, {0, 64, 0})

all_palette(p/4)
s = video_config()
constant WH = s[5..6]

-- The 'traditional' bezier demo: draw
-- an infinte continuous curve
s = {rand(WH), rand(WH), rand(WH), rand(WH)}
integer c
while get_key() != 27 do
    p = Bezier_curve(1000, s[1], s[2], s[3], s[4])
    for j = 1 to length(p) do
	c = get_pixel(p[j])
	c = floor(c + (255 - c) * 0.2)
	pixel (c, p[j])
--        pixel (c, p[j])
    end for
    s[1] = s[4]
    s[2] = s[1] + (s[4] - s[3]) / 2
    s[3] = rand(WH)
    s[4] = rand(WH)
end while


